package com.kingdee.eas.custom.beisen.synchronousorg;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import java.lang.String;
import com.kingdee.eas.custom.beisen.synchronousorg.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synchronousOrg extends AbstractBizCtrl implements IsynchronousOrg
{
    public synchronousOrg()
    {
        super();
        registerInterface(IsynchronousOrg.class, this);
    }
    public synchronousOrg(Context ctx)
    {
        super(ctx);
        registerInterface(IsynchronousOrg.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("897A8C4E");
    }
    private synchronousOrgController getController() throws BOSException
    {
        return (synchronousOrgController)getBizController();
    }
    /**
     *[description]创建北森组织，通过新增字段北森组织id，北森组织id为空则在北森创建该组织[%description][invokedemo][%invokedemo][returndesc]业务id[%returndesc]-User defined method
     *@param day 前沿天
     *@param orgId 组织ID
     *@param isDelete 是否删除
     *@return
     */
    public String createOrUpdateOrg(int day, String orgId, boolean isDelete) throws BOSException
    {
        try {
            return getController().createOrUpdateOrg(getContext(), day, orgId, isDelete);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}